"use strict";
// Copyright 2021-2023 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretManagerMethodHandler = void 0;
const bindings_1 = require("../bindings");
/** The MethodHandler which sends the commands to the Rust side. */
class SecretManagerMethodHandler {
    constructor(options) {
        // The rust secret manager object is not extensible
        if (Object.isExtensible(options)) {
            this.methodHandler = (0, bindings_1.createSecretManager)(JSON.stringify(options));
        }
        else {
            this.methodHandler = options;
        }
    }
    async callMethod(method) {
        return (0, bindings_1.callSecretManagerMethodAsync)(JSON.stringify(method), this.methodHandler);
    }
}
exports.SecretManagerMethodHandler = SecretManagerMethodHandler;
//# sourceMappingURL=secret-manager-method-handler.js.map