import { HexEncodedString } from '../utils';
/**
 * All of the signature types.
 */
declare enum SignatureType {
    Ed25519 = 0
}
declare abstract class Signature {
    private type;
    constructor(type: SignatureType);
    /**
     * The type of signature.
     */
    getType(): SignatureType;
}
/**
 * Ed25519Signature signature.
 */
declare class Ed25519Signature extends Signature {
    /**
     * The public key.
     */
    publicKey: HexEncodedString;
    /**
     * The signature.
     */
    signature: HexEncodedString;
    constructor(publicKey: HexEncodedString, signature: HexEncodedString);
}
export { SignatureType, Ed25519Signature, Signature };
