"use strict";
// Copyright 2023 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.Signature = exports.Ed25519Signature = exports.SignatureType = void 0;
/**
 * All of the signature types.
 */
var SignatureType;
(function (SignatureType) {
    SignatureType[SignatureType["Ed25519"] = 0] = "Ed25519";
})(SignatureType || (SignatureType = {}));
exports.SignatureType = SignatureType;
class Signature {
    constructor(type) {
        this.type = type;
    }
    /**
     * The type of signature.
     */
    getType() {
        return this.type;
    }
}
exports.Signature = Signature;
/**
 * Ed25519Signature signature.
 */
class Ed25519Signature extends Signature {
    constructor(publicKey, signature) {
        super(SignatureType.Ed25519);
        this.publicKey = publicKey;
        this.signature = signature;
    }
}
exports.Ed25519Signature = Ed25519Signature;
//# sourceMappingURL=signature.js.map