import { TreasuryTransactionPayload } from '../../block/payload/treasury/treasury';
import { MigratedFunds } from '../migrated-funds';
import { MilestoneOption } from './milestone-options';
/**
 * Receipt milestone option.
 */
export declare class ReceiptMilestoneOption extends MilestoneOption {
    /**
     * The milestone index at which the funds were migrated in the legacy network.
     */
    migratedAt: number;
    /**
     * Whether this Receipt is the final one for a given migrated at index.
     */
    final: boolean;
    /**
     * The index data.
     */
    funds: MigratedFunds[];
    /**
     * The TreasuryTransaction used to fund the funds.
     */
    transaction: TreasuryTransactionPayload;
    constructor(migratedAt: number, final: boolean, funds: MigratedFunds[], transaction: TreasuryTransactionPayload);
}
