// Copyright 2023 IOTA Stiftung
// SPDX-License-Identifier: Apache-2.0
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var Event = /** @class */ (function () {
    function Event(accountIndex, event) {
        this.accountIndex = accountIndex;
        this.event = event;
    }
    return Event;
}());
/**
 * All of the wallet event types.
 */
var WalletEventType;
(function (WalletEventType) {
    WalletEventType[WalletEventType["ConsolidationRequired"] = 0] = "ConsolidationRequired";
    WalletEventType[WalletEventType["LedgerAddressGeneration"] = 1] = "LedgerAddressGeneration";
    WalletEventType[WalletEventType["NewOutput"] = 2] = "NewOutput";
    WalletEventType[WalletEventType["SpentOutput"] = 3] = "SpentOutput";
    WalletEventType[WalletEventType["TransactionInclusion"] = 4] = "TransactionInclusion";
    WalletEventType[WalletEventType["TransactionProgress"] = 5] = "TransactionProgress";
})(WalletEventType || (WalletEventType = {}));
var WalletEvent = /** @class */ (function () {
    function WalletEvent(type) {
        this.type = type;
    }
    return WalletEvent;
}());
var ConsolidationRequiredWalletEvent = /** @class */ (function (_super) {
    __extends(ConsolidationRequiredWalletEvent, _super);
    function ConsolidationRequiredWalletEvent() {
        return _super.call(this, WalletEventType.ConsolidationRequired) || this;
    }
    return ConsolidationRequiredWalletEvent;
}(WalletEvent));
var LedgerAddressGenerationWalletEvent = /** @class */ (function (_super) {
    __extends(LedgerAddressGenerationWalletEvent, _super);
    function LedgerAddressGenerationWalletEvent(address) {
        var _this = _super.call(this, WalletEventType.LedgerAddressGeneration) || this;
        _this.address = address;
        return _this;
    }
    return LedgerAddressGenerationWalletEvent;
}(WalletEvent));
var NewOutputWalletEvent = /** @class */ (function (_super) {
    __extends(NewOutputWalletEvent, _super);
    function NewOutputWalletEvent(output, transaction, transactionInputs) {
        var _this = _super.call(this, WalletEventType.NewOutput) || this;
        _this.output = output;
        _this.transaction = transaction;
        _this.transactionInputs = transactionInputs;
        return _this;
    }
    return NewOutputWalletEvent;
}(WalletEvent));
var SpentOutputWalletEvent = /** @class */ (function (_super) {
    __extends(SpentOutputWalletEvent, _super);
    function SpentOutputWalletEvent(output) {
        var _this = _super.call(this, WalletEventType.SpentOutput) || this;
        _this.output = output;
        return _this;
    }
    return SpentOutputWalletEvent;
}(WalletEvent));
var TransactionInclusionWalletEvent = /** @class */ (function (_super) {
    __extends(TransactionInclusionWalletEvent, _super);
    function TransactionInclusionWalletEvent(transactionId, inclusionState) {
        var _this = _super.call(this, WalletEventType.TransactionInclusion) || this;
        _this.transactionId = transactionId;
        _this.inclusionState = inclusionState;
        return _this;
    }
    return TransactionInclusionWalletEvent;
}(WalletEvent));
/**
 * All of the transaction progress types.
 */
var TransactionProgressType;
(function (TransactionProgressType) {
    TransactionProgressType[TransactionProgressType["SelectingInputs"] = 0] = "SelectingInputs";
    TransactionProgressType[TransactionProgressType["GeneratingRemainderDepositAddress"] = 1] = "GeneratingRemainderDepositAddress";
    TransactionProgressType[TransactionProgressType["PreparedTransaction"] = 2] = "PreparedTransaction";
    TransactionProgressType[TransactionProgressType["PreparedTransactionEssenceHash"] = 3] = "PreparedTransactionEssenceHash";
    TransactionProgressType[TransactionProgressType["SigningTransaction"] = 4] = "SigningTransaction";
    TransactionProgressType[TransactionProgressType["PerformingPow"] = 5] = "PerformingPow";
    TransactionProgressType[TransactionProgressType["Broadcasting"] = 6] = "Broadcasting";
})(TransactionProgressType || (TransactionProgressType = {}));
var TransactionProgressWalletEvent = /** @class */ (function (_super) {
    __extends(TransactionProgressWalletEvent, _super);
    function TransactionProgressWalletEvent(progress) {
        var _this = _super.call(this, WalletEventType.TransactionProgress) || this;
        _this.progress = progress;
        return _this;
    }
    return TransactionProgressWalletEvent;
}(WalletEvent));
var TransactionProgress = /** @class */ (function () {
    function TransactionProgress(type) {
        this.type = type;
    }
    return TransactionProgress;
}());
var SelectingInputsProgress = /** @class */ (function (_super) {
    __extends(SelectingInputsProgress, _super);
    function SelectingInputsProgress() {
        return _super.call(this, TransactionProgressType.SelectingInputs) || this;
    }
    return SelectingInputsProgress;
}(TransactionProgress));
var GeneratingRemainderDepositAddressProgress = /** @class */ (function (_super) {
    __extends(GeneratingRemainderDepositAddressProgress, _super);
    function GeneratingRemainderDepositAddressProgress(address) {
        var _this = _super.call(this, TransactionProgressType.GeneratingRemainderDepositAddress) || this;
        _this.address = address;
        return _this;
    }
    return GeneratingRemainderDepositAddressProgress;
}(TransactionProgress));
var PreparedTransactionProgress = /** @class */ (function (_super) {
    __extends(PreparedTransactionProgress, _super);
    function PreparedTransactionProgress(essence, inputsData, remainder) {
        var _this = _super.call(this, TransactionProgressType.PreparedTransaction) || this;
        _this.essence = essence;
        _this.inputsData = inputsData;
        _this.remainder = remainder;
        return _this;
    }
    return PreparedTransactionProgress;
}(TransactionProgress));
var PreparedTransactionEssenceHashProgress = /** @class */ (function (_super) {
    __extends(PreparedTransactionEssenceHashProgress, _super);
    function PreparedTransactionEssenceHashProgress(hash) {
        var _this = _super.call(this, TransactionProgressType.PreparedTransactionEssenceHash) || this;
        _this.hash = hash;
        return _this;
    }
    return PreparedTransactionEssenceHashProgress;
}(TransactionProgress));
var SigningTransactionProgress = /** @class */ (function (_super) {
    __extends(SigningTransactionProgress, _super);
    function SigningTransactionProgress() {
        return _super.call(this, TransactionProgressType.SigningTransaction) || this;
    }
    return SigningTransactionProgress;
}(TransactionProgress));
var PerformingPowProgress = /** @class */ (function (_super) {
    __extends(PerformingPowProgress, _super);
    function PerformingPowProgress() {
        return _super.call(this, TransactionProgressType.PerformingPow) || this;
    }
    return PerformingPowProgress;
}(TransactionProgress));
var BroadcastingProgress = /** @class */ (function (_super) {
    __extends(BroadcastingProgress, _super);
    function BroadcastingProgress() {
        return _super.call(this, TransactionProgressType.Broadcasting) || this;
    }
    return BroadcastingProgress;
}(TransactionProgress));
export { Event, WalletEventType, WalletEvent, ConsolidationRequiredWalletEvent, LedgerAddressGenerationWalletEvent, NewOutputWalletEvent, SpentOutputWalletEvent, TransactionInclusionWalletEvent, TransactionProgressWalletEvent, TransactionProgress, SelectingInputsProgress, GeneratingRemainderDepositAddressProgress, PreparedTransactionProgress, PreparedTransactionEssenceHashProgress, SigningTransactionProgress, PerformingPowProgress, BroadcastingProgress, TransactionProgressType, };
//# sourceMappingURL=event.js.map