import type { WalletEventType, WalletOptions, __Method__, __AccountMethod__, AccountId, Event } from '../types/wallet';
import { Client } from '../client';
import { SecretManager } from '../secret_manager';
export declare class WalletMethodHandler {
    methodHandler: any;
    constructor(options?: WalletOptions);
    callMethod(method: __Method__): Promise<string>;
    callAccountMethod(accountIndex: AccountId, method: __AccountMethod__): Promise<string>;
    listen(eventTypes: WalletEventType[], callback: (error: Error, event: Event) => void): Promise<void>;
    destroy(): Promise<void>;
    getClient(): Promise<Client>;
    getSecretManager(): Promise<SecretManager>;
}
