import { HexEncodedString } from '../../../utils';
import { Input } from '../../input';
import { Output } from '../../output';
import { Payload } from '../payload';
/**
 * All of the essence types.
 */
declare enum TransactionEssenceType {
    Regular = 1
}
declare abstract class TransactionEssence {
    private type;
    constructor(type: TransactionEssenceType);
    /**
     * The type of essence.
     */
    getType(): TransactionEssenceType;
}
/**
 * RegularTransactionEssence transaction essence.
 */
declare class RegularTransactionEssence extends TransactionEssence {
    networkId: number;
    inputsCommitment: HexEncodedString;
    inputs: [Input];
    outputs: [Output];
    payload: Payload | undefined;
    constructor(networkId: number, inputsCommitment: HexEncodedString, inputs: [Input], outputs: [Output], payload: Payload | undefined);
}
declare const TransactionEssenceDiscriminator: {
    property: string;
    subTypes: {
        value: typeof RegularTransactionEssence;
        name: any;
    }[];
};
export { TransactionEssenceDiscriminator, TransactionEssence, TransactionEssenceType, RegularTransactionEssence, };
